package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkMarketingVersionGenerateRequest struct {
	/*
	   档期版本号参数信息     */
	Param *domain.AlibabaWdkMarketingVersionGenerateSeasonVersionParam `json:"param,omitempty" required:"false" `
}

func (s *AlibabaWdkMarketingVersionGenerateRequest) SetParam(v domain.AlibabaWdkMarketingVersionGenerateSeasonVersionParam) *AlibabaWdkMarketingVersionGenerateRequest {
	s.Param = &v
	return s
}

func (req *AlibabaWdkMarketingVersionGenerateRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaWdkMarketingVersionGenerateRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
